Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454578 - FEAT: NETWORK test should output it's log in a proper sequence
Summary: FEAT: NETWORK test should output it's log in a proper sequence
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 03:20 UTC by YangKun
Modified: 2009-01-27 22:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-27 22:58:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
network.py patch adding stdout flushing (deleted)
2008-12-18 17:53 UTC, Greg Nichols
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0047 normal SHIPPED_LIVE hts bug fix update 2009-01-27 22:57:30 UTC

Description YangKun 2008-07-09 03:20:48 UTC
Description of problem:

This test was written in a sequential style. However, due to Python's I/O
buffer, the output of some print statements are "delayed". Meanwhile, the output
of related commands(bw_tcp for instance) which NETWORK test calls will be logged
instantly. This leads to a bad log for reviewers to check, for example:
=============================================================
....

TCP latency using 192.168.0.12: 2.0927 microseconds
0.065536 113.09 MB/sec
TCP latency using 192.168.0.12: 2.0912 microseconds
0.065536 113.01 MB/sec
TCP latency using 192.168.0.12: 2.0967 microseconds
0.065536 113.09 MB/sec
TCP latency using 192.168.0.12: 2.0927 microseconds
0.065536 109.94 MB/sec
TCP latency using 192.168.0.12: 2.0763 microseconds
0.065536 112.99 MB/sec
done
Warning: Unable to determine interface speed
Assuming 100 Mb/s

+----------eth5 info start----------+
+-----Speed-----+

+-----Kudzu-----+

+-----dmesg-----+

+----------eth5 info end----------+

tcp test:
test cycle 1 of 5
testing latency...
testing bandwidth to 192.168.0.12...
test cycle 2 of 5
testing latency...
testing bandwidth to 192.168.0.12...
test cycle 3 of 5
testing latency...
testing bandwidth to 192.168.0.12...
test cycle 4 of 5
testing latency...
testing bandwidth to 192.168.0.12...
test cycle 5 of 5
testing latency...
testing bandwidth to 192.168.0.12...
passed
testing udp latency to 192.168.0.12...
UDP latency using 192.168.0.12: 125.2283 microseconds
passed
testing nfs using 192.168.0.12...
Copying 10 x 100 mbit files to/from 192.168.0.12

....
=============================================================

can we add some "sys.stdout.flush()" into this test to get the I/O buffer
flushed frequently, to generate a more friendly output.log for reviewers ?

-YK

Comment 1 Greg Nichols 2008-12-18 17:53:47 UTC
Created attachment 327347 [details]
network.py patch adding stdout flushing

Comment 2 YangKun 2008-12-19 02:27:14 UTC
the output looks much better now. thanks

-YK

Comment 3 Yan Tian 2009-01-03 04:53:43 UTC
Verified it was fixed in hts-5.3-12.

Comment 5 errata-xmlrpc 2009-01-27 22:58:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0047.html


Note You need to log in before you can comment on or make changes to this bug.